Package ru.bitel.bgbilling.modules.mangooffice.server.bean

# Class MangoFeeDao

java.lang.Object
ru.bitel.bgbilling.kernel.base.server.logger.BGLogger
ru.bitel.bgbilling.common.dao.AbstarctDaoConstant
ru.bitel.bgbilling.common.dao.AbstractDao<MangoFee>
ru.bitel.bgbilling.common.dao.AbstractIdDao<MangoFee>
ru.bitel.bgbilling.modules.mangooffice.server.bean.MangoFeeDao

public class MangoFeeDao extends ru.bitel.bgbilling.common.dao.AbstractIdDao<MangoFee>

- ## Field Summary

  ### Fields inherited from class ru.bitel.bgbilling.common.dao.AbstractDao

  `orderByPattern`

  ### Fields inherited from class ru.bitel.bgbilling.common.dao.AbstarctDaoConstant

  `con, ERROR, fields, moduleId, SQL_ALL, SQL_AND, SQL_CALC_FOUND_ROWS, SQL_DELETE, SQL_DISTINCT, SQL_EQ, SQL_EQCS, SQL_FROM, SQL_GROUP, SQL_IN, SQL_INSERT, SQL_JOIN, SQL_LEFT_JOIN, SQL_LIMIT, SQL_NOT_IN, SQL_ON, SQL_ON_DUPLICATE_KEY_UPDATE, SQL_ORDER, SQL_SELECT, SQL_SET, SQL_UPDATE, SQL_VALUES, SQL_WHERE, tableName`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `MangoFeeDao(Connection con, int moduleId, Date date)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `List<MangoFee>`
  `aggregatedByService()`
  `void`
  `checkAndCreateTable(Setup setup)`
  `int`
  `deleteByDay(int day)`
  `protected MangoFee`
  `getFromRS(ResultSet rs)`
  `List<MangoFee>`
  `getListMangoFee(String control)`
  `void`
  `insertList(List<MangoFee> list)`
  `protected void`
  `updateImpl(MangoFee mangoFee)`

  ### Methods inherited from class ru.bitel.bgbilling.common.dao.AbstractIdDao

  `delete, executeUpdate, get, getAndDelete, getAndUpdate, opt, prepareStatement, sqlCommand, sqlCommandAndTable, sqlQuery, sqlWhereId`

  ### Methods inherited from class ru.bitel.bgbilling.common.dao.AbstractDao

  `delete, deleteImpl, eq, get, getById, getImpl, getListFromRS, getPeriod, getQueryById, getSQLOrder, list, list, listImpl, listImpl, listImplPS, listImplPS, ormFromResultSet, ormUpdateImpl, ormUpdateImpl, ormUpdateImpl, ormUpdateImpl, psSetPeriod, queryPeriod, setStatementParam, update`

  ### Methods inherited from class ru.bitel.bgbilling.common.dao.AbstarctDaoConstant

  `getSQLOrder, getTableName, sqlLimit`

  ### Methods inherited from class ru.bitel.bgbilling.kernel.base.server.logger.BGLogger

  `error, error, error, getLogger, logError, logError, warn`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### MangoFeeDao

    public MangoFeeDao(Connection con, int moduleId, Date date)

- ## Method Details

  - ### checkAndCreateTable

    public void checkAndCreateTable(Setup setup)

  - ### getListMangoFee

    public List<MangoFee> getListMangoFee(String control) throws SQLException
    Throws:
      `SQLException`

  - ### deleteByDay

    public int deleteByDay(int day) throws SQLException
    Throws:
      `SQLException`

  - ### insertList

    public void insertList(List<MangoFee> list) throws SQLException
    Throws:
      `SQLException`

  - ### aggregatedByService

    public List<MangoFee> aggregatedByService() throws SQLException
    Throws:
      `SQLException`

  - ### updateImpl

    protected void updateImpl(MangoFee mangoFee) throws SQLException
    Specified by:
      `updateImpl` in class `ru.bitel.bgbilling.common.dao.AbstractDao<MangoFee>`
    Throws:
      `SQLException`

  - ### getFromRS

    protected MangoFee getFromRS(ResultSet rs) throws SQLException
    Specified by:
      `getFromRS` in class `ru.bitel.bgbilling.common.dao.AbstractDao<MangoFee>`
    Throws:
      `SQLException`